Loading...
Searching...
No Matches
gprs_cipher_core.c File Reference

GPRS LLC cipher core infrastructure. More...

`#include "config.h"`
`#include <errno.h>`
`#include <stdint.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/plugin.h>`
`#include <osmocom/crypt/gprs_cipher.h>`

## Functions

static | LLIST_HEAD (gprs_ciphers)
int | gprs_cipher_register (struct gprs_cipher_impl *ciph)
int | gprs_cipher_load (const char *path)
int | gprs_cipher_run (uint8_t *out, uint16_t len, enum gprs_ciph_algo algo, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction dir)
unsigned | gprs_cipher_key_length (enum gprs_ciph_algo algo)
| Obtain key lenght for given GPRS cipher.
int | gprs_cipher_supported (enum gprs_ciph_algo algo)
uint32_t | gprs_cipher_gen_input_ui (uint32_t iov_ui, uint8_t sapi, uint32_t lfn, uint32_t oc)
uint32_t | gprs_cipher_gen_input_i (uint32_t iov_i, uint32_t lfn, uint32_t oc)

## Variables

static struct gprs_cipher_impl * | selected_ciphers [_GPRS_ALGO_NUM]
const struct value_string | gprs_cipher_names []

## Detailed Description

GPRS LLC cipher core infrastructure.